package com.foreverwin.mesnac.integration.dto;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.List;

/**
 * 物料批次接收
 *
 * @author Leon
 * @date 2021-06-28
 */
@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "ItemBatchReceiveRequest", propOrder = {
        "TRANID",
        "DATE_TIME",
        "SITE",
        "FACTORY",
        "PURCHASE_ORDER",
        "PURCHASE_ORDER_LIST"
})
public class ItemBatchReceiveRequest {

    @XmlElement(name = "TRANID", required = true)
    private String TRANID;
    @XmlElement(name = "DATE_TIME", required = true)
    private String DATE_TIME;
    @XmlElement(name = "SITE", required = true)
    private String SITE;
    @XmlElement(name = "FACTORY")
    private String FACTORY;
    @XmlElement(name = "PURCHASE_ORDER")
    private String PURCHASE_ORDER;
    @XmlElement(name = "PURCHASE_ORDER_LIST", required = true)
    private List<ItemBatchDto> PURCHASE_ORDER_LIST;

    public String getTRANID() {
        return TRANID;
    }

    public void setTRANID(String TRANID) {
        this.TRANID = TRANID;
    }

    public String getDATE_TIME() {
        return DATE_TIME;
    }

    public void setDATE_TIME(String DATE_TIME) {
        this.DATE_TIME = DATE_TIME;
    }

    public String getSITE() {
        return SITE;
    }

    public void setSITE(String SITE) {
        this.SITE = SITE;
    }

    public String getFACTORY() {
        return FACTORY;
    }

    public void setFACTORY(String FACTORY) {
        this.FACTORY = FACTORY;
    }

    public String getPURCHASE_ORDER() {
        return PURCHASE_ORDER;
    }

    public void setPURCHASE_ORDER(String PURCHASE_ORDER) {
        this.PURCHASE_ORDER = PURCHASE_ORDER;
    }

    public List<ItemBatchDto> getPURCHASE_ORDER_LIST() {
        return PURCHASE_ORDER_LIST;
    }

    public void setPURCHASE_ORDER_LIST(List<ItemBatchDto> PURCHASE_ORDER_LIST) {
        this.PURCHASE_ORDER_LIST = PURCHASE_ORDER_LIST;
    }

    @Override
    public String toString() {
        return "ItemBatchReceiveRequest{" +
                "TRANID='" + TRANID + '\'' +
                ", DATE_TIME='" + DATE_TIME + '\'' +
                ", SITE='" + SITE + '\'' +
                ", FACTORY='" + FACTORY + '\'' +
                ", PURCHASE_ORDER='" + PURCHASE_ORDER + '\'' +
                ", PURCHASE_ORDER_LIST=" + PURCHASE_ORDER_LIST +
                '}';
    }
}
